package views

import (
	"git.tordarus.net/Tordarus/tui"
)

type TextView struct {
	tui.ViewTmpl
	Text string
}

var _ tui.View = &TextView{}

func (v *TextView) Draw(buf *tui.ViewBuffer) {
	tui.WriteMultiLineString(buf, v.Text, v.Style(), 0, 0)
}

func NewTextView(text string) *TextView {
	return &TextView{
		Text: text,
	}
}
